# findAll

abstract fun findAll(spec: Closure): Collection<T>

Returns a collection which contains the objects in this collection which meet the given closure specification.

This method is an eager operation. The application of the filter forces the realization of all of the underlying collection elements.

#### Return

The collection of matching objects. Returns an empty collection if there are no such objects in this collection.

#### Parameters

spec

The specification to use. The closure gets a collection element as an argument.